Skip to main content
`Ctrl`+`K`

# KSPChebyshevEstEigSetUseNoisy

use a noisy random number generated right-hand side to estimate the extreme eigenvalues instead of the given right-hand side

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPChebyshevEstEigSetUseNoisy(KSP ksp, PetscBool use)

Logically Collective

## Input Parameters

- ksp - linear solver context

- use - `PETSC_TRUE` to use noisy

## Options Database Key

- -ksp_chebyshev_esteig_noisy (true|false) - Use noisy right-hand side for estimate

## Note

This allegedly works better for multigrid smoothers

## See Also

KSP: Linear System Solvers, `KSPCHEBYSHEV`, `KSPChebyshevEstEigSet()`, `KSPChebyshevEstEigGetKSP()`

## Level

intermediate

## Location

src/ksp/ksp/impls/cheby/cheby.c

## Implementations

KSPChebyshevEstEigSetUseNoisy_Chebyshev() in src/ksp/ksp/impls/cheby/cheby.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages